import request from '@/utils/request'

// 查询股权出质登记信息列表
export function listInfo(query) {
  return request({
    url: '/basicData/xcrEquityPledgeInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询股权出质登记信息详细
export function getInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrEquityPledgeInfo/' + xhCodeId,
    method: 'get'
  })
}

// 新增股权出质登记信息
export function addInfo(data) {
  return request({
    url: '/basicData/xcrEquityPledgeInfo',
    method: 'post',
    data: data
  })
}

// 修改股权出质登记信息
export function updateInfo(data) {
  return request({
    url: '/basicData/xcrEquityPledgeInfo',
    method: 'put',
    data: data
  })
}

// 删除股权出质登记信息
export function delInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrEquityPledgeInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  return request.post('/basicData/xcrEquityPledgeInfo/delete',ids)
}
